## cyrus-sasl2 2.1.27%2Bdfsg

=== doc/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am for SASL documentation
# Rob Earhart
# $Id: Makefile.am,v 1.34 2004/11/24 18:05:28 ken3 Exp $
#
################################################################
# Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer. 
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any other legal
#    details, please contact  
#      Office of Technology Transfer
#      Carnegie Mellon University
#      5000 Forbes Avenue
#      Pittsburgh, PA  15213-3890
#      (412) 268-4387, fax: (412) 268-7395
#      tech-transfer@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
################################################################

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cyrus-sasl
pkgincludedir = $(includedir)/cyrus-sasl
pkglibdir = $(libdir)/cyrus-sasl
pkglibexecdir = $(libexecdir)/cyrus-sasl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_prog_cc_for_build.m4 \
	$(top_srcdir)/m4/ax_prog_perl_modules.m4 \
	$(top_srcdir)/m4/berkdb.m4 $(top_srcdir)/m4/bsd_sockets.m4 \
	$(top_srcdir)/m4/common.m4 $(top_srcdir)/m4/cyrus.m4 \
	$(top_srcdir)/m4/ipv6.m4 $(top_srcdir)/m4/kerberos_v4.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/openldap.m4 \
	$(top_srcdir)/m4/openssl.m4 $(top_srcdir)/m4/plain.m4 \
	$(top_srcdir)/m4/sasl2.m4 $(top_srcdir)/m4/sasldb.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in TODO
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ken/cyrus-sasl/config/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/ken/cyrus-sasl/config/missing autoconf
AUTOHEADER = ${SHELL} /home/ken/cyrus-sasl/config/missing autoheader
AUTOMAKE = ${SHELL} /home/ken/cyrus-sasl/config/missing automake-1.15
AWK = gawk
BUILD_EXEEXT = 
BUILD_OBJEXT = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -Wall -W -g -O2
CFLAGS_FOR_BUILD = -g -O2
CMU_LIB_SUBDIR = lib64
CPP = gcc -E
CPPFLAGS = -W -Wall -Werror -DOBSOLETE_CRAM_ATTR=1
CPPFLAGS_FOR_BUILD = 
CPP_FOR_BUILD = gcc -E
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRS = 
DLLTOOL = false
DMALLOC_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GETADDRINFOOBJS = 
GETNAMEINFOOBJS = 
GETSUBOPT = 
GREP = /usr/bin/grep
GSSAPIBASE_LIBS =  -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IPCTYPE = unix
JAVAC = true
JAVADOC = true
JAVAH = true
JAVAROOT = 
JAVA_INCLUDES = 
LD = /usr/bin/ld -m elf_x86_64
LDAP_LIBS = -lldap -llber -lcrypto 
LDFLAGS = 
LDFLAGS_FOR_BUILD = 
LIBOBJS =  ${LIBOBJDIR}snprintf$U.o
LIBS = -lresolv    -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_CRYPT = -lcrypt
LIB_DES = -lcrypto
LIB_DOOR = 
LIB_LDAP = 
LIB_MYSQL = 
LIB_PAM = 
LIB_PGSQL = 
LIB_SIA = 
LIB_SOCKET = 
LIB_SQLITE = 
LIB_SQLITE3 = 
LIPO = 
LN_S = ln -s
LTGETADDRINFOOBJS = 
LTGETNAMEINFOOBJS = 
LTLIBOBJS =  ${LIBOBJDIR}snprintf$U.lo
LTSNPRINTFOBJS = snprintf.lo
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/ken/cyrus-sasl/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NTLM_LIBS = -lcrypto 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
OTP_LIBS = -lcrypto 
PACKAGE = cyrus-sasl
PACKAGE_BUGREPORT = https://github.com/cyrusimap/cyrus-sasl/issues
PACKAGE_NAME = cyrus-sasl
PACKAGE_STRING = cyrus-sasl 2.1.27
PACKAGE_TARNAME = cyrus-sasl
PACKAGE_URL = http://cyrusimap.org
PACKAGE_VERSION = 2.1.27
PASSDSS_LIBS = 
PATH_SEPARATOR = :
PERL = perl
PLAIN_LIBS = -lcrypt
PURECOV = 
PURIFY = 
PWCHECKMETH = 
RANLIB = ranlib
SASL_DB_BACKEND = db_none.lo
SASL_DB_BACKEND_STATIC = db_none.o
SASL_DB_INC = 
SASL_DB_LIB = 
SASL_DB_MANS = 
SASL_DB_UTILS = 
SASL_DL_LIB = -ldl
SASL_KRB_LIB = 
SASL_MECHS =  libcrammd5.la libdigestmd5.la libscram.la libotp.la libgssapiv2.la libgs2.la libplain.la libanonymous.la liblogin.la libntlm.la
SASL_STATIC_LIBS = 
SASL_STATIC_OBJS =  gssapi.o gs2.o
SASL_STATIC_SRCS =  $(top_srcdir)/plugins/gssapi.c $(top_srcdir)/plugins/gs2.c
SASL_UTIL_HEADERS_EXTRA = 
SASL_UTIL_LIBS_EXTRA = 
SCRAM_LIBS = -lcrypto 
SED = /usr/bin/sed
SET_MAKE = 
SFIO_INC_FLAGS = 
SFIO_LIB_FLAGS = 
SHELL = /bin/sh
SMTPTEST_PROGRAM = 
SNPRINTFOBJS = snprintf.o
SPHINX_BUILD = /usr/bin/sphinx-build
SRP_LIBS = 
STRIP = strip
VERSION = 2.1.27
abs_builddir = /home/ken/cyrus-sasl/doc
abs_srcdir = /home/ken/cyrus-sasl/doc
abs_top_builddir = /home/ken/cyrus-sasl
abs_top_srcdir = /home/ken/cyrus-sasl
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CC_FOR_BUILD = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
configdir = /usr/lib/sasl2:/etc/sasl2
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/ken/cyrus-sasl/config/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = /usr/lib/sasl2
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = /var
srcdir = .
sysconfdir = /etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = advanced.html \
		appconvert.html \
		components.html \
		gssapi.html \
		index.html \
		install.html \
		macosx.html \
		mechanisms.html \
		NTMakefile \
		ONEWS \
		options.html \
		os390.html \
		plugprog.html \
		programming.html \
		readme.html \
		server-plugin-flow.fig \
		sysadmin.html \
		testing.txt \
		TODO \
		upgrading.html \
		windows.html

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
