=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * Fix libsasl2-2 incorrectly depending on GSSAPI libraries.
    (Closes: #917129)
  * Restore changes from NMU versions
    2.1.27~101-g0780600+dfsg-3 and 2.1.27~101-g0780600+dfsg-3.1
    (Closes: #917140)

  [ Ondřej Surý ]
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jan 2019 08:53:59 +0000

cyrus-sasl2 (2.1.27+dfsg-1~exp1) experimental; urgency=medium

  [ Roberto C. Sanchez ]
  * Change email in d/control
  * Apply uversionmangle option in d/watch for correct upstream version
    sort

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #792851)
    + 0033-cross.patch: Drop -ldb from make depends.
  * Use $(CC) instead of gcc in d/sample/Makefile

  [ Ondřej Surý ]
  * Add upstream tarball signing key
  * Update d/watch and d/copyright to use gbp import-orig ability to
    repack the tarball
  * New upstream version 2.1.27+dfsg
  * Bump policy to current version and debhelper compat level to 12
  * Upstream supports only a single plugindir now, switch to M-A plugindir
  * Build libsasl2-modules-gssapi-heimdal against heimdal 
    + Install heimdal build into separate tmp directory and strip rpath
      from it (Closes: #880393)
  * Replace extra priority with optional
  * Add Pre-Depends: ${misc:Pre-Depends} to sasl2-bin for systemd predepends
  * Add libpod-pom-view-restructured-perl to B-D to regenerate documentation
  * Add a patch to stop importing docutils_version in sphinx-build manpage helper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jan 2019 09:47:50 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add support for build-profiles. (Closes: #894297)

 -- Karsten Merker <merker@debian.org>  Sat, 21 Apr 2018 18:20:16 +0200
