## cyrus-sasl2 2.1.27+dfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg-2ubuntu1) groovy; urgency=medium

  * Disable sphinx doc build, as the extension bundled in this source is
    not compatible with current sphinx release (LP: #1894907):
    - d/control: remove python3-sphinx build-depends
    - d/rules: disable sphinx doc build, copy pre-built manpages to build dirs

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 29 Sep 2020 19:25:19 +0000

cyrus-sasl2 (2.1.27+dfsg-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Off-by-one in _sasl_add_string function (CVE-2019-19906) (Closes: #947043)

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 26 Dec 2019 09:48:32 -0500
