## cyrus-sasl2 2.1.27+dfsg2

=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1.2) jammy; urgency=medium

  * d/control, d/libsasl2-modules-gssapi-mit.install,
    d/libsasl2-modules.install: move the SCRAM mechanism to
    the libsasl2-modules package (LP: #1988730)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Dec 2022 08:52:45 -0300

cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1.1) jammy; urgency=medium

  * Add SASL channel binding support for GSSAPI and GSS-SPNEGO
    (LP: #1912256):
    - d/p/0034-channel-binding-gssapi-gss-spnego.patch: add SASL channel
      binding support for GSSAPI and GSS-SPNEGO
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-1.patch:
      allow setting maxssf to 0 when using GSS-SPNEGO inside SSL/TLS
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-2.patch:
      be more conformant to RFC4752
  * Add some DEP8 tests (LP: #1677781):
    - d/t/{control,saslauthd}: saslauthd tests with multiple mechanisms
    - d/t/{control,gssapi}: test for SASL GSSAPI using OpenLDAP
    - d/t/{control,pluginviewer}: test available mechanisms
    - d/t/{control,shared-secret-mechs}: test shared secret mechanisms

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 19 Oct 2022 14:06:40 -0700

cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1) jammy; urgency=medium

  * SECURITY UPDATE: SQL injection in SQL plugin
    - debian/patches/CVE-2022-24407.patch: escape password for SQL
      insert/update commands in plugins/sql.c.
    - CVE-2022-24407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Feb 2022 14:17:18 -0500

cyrus-sasl2 (2.1.27+dfsg2-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Fix configure.ac for autoconf 2.70 (Closes: #1003355, #1000152)

 -- Bastian Germann <bage@debian.org>  Tue, 11 Jan 2022 11:25:37 +0100

cyrus-sasl2 (2.1.27+dfsg2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #928512)
    + cross.patch: Support caching SPNEGO support test.
    + Provide SPNEGO support test result.

  [ Vagrant Cascadian ]
  * Set date in man pages (Closes: #995145)

 -- Bastian Germann <bage@debian.org>  Wed, 17 Nov 2021 01:23:49 +0100

cyrus-sasl2 (2.1.27+dfsg2-1) unstable; urgency=medium

  * Add bage to uploaders (Closes: #799864)
  * Use upstream patches where possible
  * Amend off-by-one in _sasl_add_string function
  * Replace some patches by upstream equivalents
  * Apply the patches in order of to their prefixes
  * Add missing caret (^) in logcheck rule (Closes: #830764)
  * Remove unnecessary GPL copy
  * Add missing copyright/licenses
  * Repack, getting rid of more problematic files
  * Build html documentation
  * Make the package rebuildable
  * Remove outdated README.Debian info
  * Disable autostart via debhelper
  * Drop unnecessary patch
  * Remove alternative, old build dep libmysqlclient-dev
    Annotate documentation Build-Depends with :native

  [ Frédéric Brière ]
  * Make logcheck snippet compatible with systemd journal

 -- Bastian Germann <bage@debian.org>  Sun, 14 Nov 2021 14:11:18 +0100

cyrus-sasl2 (2.1.27+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/watch: Check the github releases page
  * Get rid of a patch's patch
  * Recover upstream-compatible patch license (Closes: #996866)
    + Relicense libobj patch
  * Fix lintian: unused-override
  * Patch: Prevent double free of RC4 context (Closes: #722611)
  * Rename double-prefix patches

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure), Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.1.7-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Nov 2021 21:58:22 +0100

cyrus-sasl2 (2.1.27+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vagrant Cascadian ]
  * Fix Sphinx errors (Closes: #995123)

 -- Michael Banck <michael.banck@credativ.de>  Wed, 27 Oct 2021 17:57:34 +0200

cyrus-sasl2 (2.1.27+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Sphinx errors (Closes: #955095)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Feb 2021 10:43:14 +0100
