=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Uploaders: Fabian Fagerholm <fabbe@debian.org>,
            Roberto C. Sanchez <roberto@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
+           Bastian Germann <bage@debian.org>,
            Adam Conrad <adconrad@0c3.net>
 Standards-Version: 4.3.0.1
 Build-Depends: chrpath,
                debhelper-compat (= 12),
-               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql> | libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
+               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                docbook-to-man,
                groff-base,
                heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
@@ -19,11 +20,12 @@
                libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
                libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpod-pom-view-restructured-perl,
+               libpod-pom-view-restructured-perl:native,
                libpq-dev <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
+               python3-sphinx-rtd-theme:native,
                quilt
 Build-Conflicts: heimdal-dev
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
@@ -39,6 +41,7 @@
          libsasl2-2 (>= ${binary:Version}),
          lsb-base (>= 3.0-6),
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Description: Cyrus SASL - administration programs for SASL users database
  This is the Cyrus SASL API implementation, version 2.1. See package
@@ -51,7 +54,8 @@
 Section: doc
 Priority: optional
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         sphinx-rtd-theme-common
 Description: Cyrus SASL - documentation
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -80,7 +84,7 @@
  negotiated, a security layer is inserted between the protocol and the
  connection. See RFC 2222 for more information.
  .
- Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
+ Any of: ANONYMOUS, SCRAM, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
  Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.
 
 Package: libsasl2-modules
@@ -93,13 +97,15 @@
           libsasl2-modules-ldap,
           libsasl2-modules-otp,
           libsasl2-modules-sql
-Breaks: logcheck-database (<= 1.3.16~)
+Breaks: logcheck-database (<= 1.3.16~),
+        libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
+Replaces: libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
 Description: Cyrus SASL - pluggable authentication modules
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
  .
  This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
- NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).
+ NTLM, SCRAM, CRAM-MD5, and DIGEST-MD5 (with DES support, deprecated).
 
 Package: libsasl2-modules-db
 Architecture: any
