=== debian/tests/control ===
Tests: pluginviewer
# We don't use @ because libsasl2-modules-gssapi-{mit,heimdal} conflict with each other. Let's default to mit
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql

Tests: saslauthd
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils
Restrictions: isolation-container, needs-root

Tests: gssapi
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils, krb5-user, krb5-kdc, krb5-admin-server
Restrictions: isolation-container, needs-root

# libsasl2-modules-gssapi-mit is needed here because SCRAM has not yet been moved to libsasl2-modules in Jammy (LP: #1988730)
Tests: shared-secret-mechs
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils, libsasl2-modules-gssapi-mit
Restrictions: isolation-container, needs-root
