## cyrus-sasl2 2.1.27.1

=== debian/changelog ===
cyrus-sasl2 (2.1.27.1-1+dde) buster; urgency=medium

  * fix CVE-2022-24407
  * A flaw was found in the SQL plugin shipped with Cyrus SASL. 

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 10 Mar 2022 09:58:38 +0800

cyrus-sasl2 (2.1.27+dfsg-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Off-by-one in _sasl_add_string function (CVE-2019-19906) (Closes: #947043)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Dec 2019 22:59:30 +0100
