## cyrus-sasl2 2.1.28%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: cyrus-sasl2
 Section: libs
-Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
-Uploaders: Fabian Fagerholm <fabbe@debian.org>,
-           Roberto C. Sanchez <roberto@debian.org>,
-           Ondřej Surý <ondrej@debian.org>,
-           Bastian Germann <bage@debian.org>,
-           Adam Conrad <adconrad@0c3.net>
+Priority: optional
+Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
 Standards-Version: 4.3.0.1
-Build-Depends: chrpath,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               libpod-pom-view-restructured-perl:native <!nodoc>,
+Build-Depends-Arch:
+               chrpath,
                default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                docbook-to-man,
                groff-base,
                heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
                krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
                libdb-dev,
+               libcrypt-dev,
                libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
                libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpod-pom-view-restructured-perl:native,
                libpq-dev <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
-               python3-sphinx-rtd-theme:native,
-               quilt
+               python3-sphinx:native <!nodoc>
+Build-Depends-Indep: python3-sphinx-rtd-theme,
 Build-Conflicts: heimdal-dev
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
 Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
@@ -34,12 +31,10 @@
 
 Package: sasl2-bin
 Section: utils
-Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: db-util,
          libsasl2-2 (>= ${binary:Version}),
-         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -52,10 +47,11 @@
 
 Package: cyrus-sasl2-doc
 Section: doc
-Priority: optional
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          sphinx-rtd-theme-common
+Multi-Arch: foreign
 Description: Cyrus SASL - documentation
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -70,8 +66,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libsasl2-modules (>= ${binary:Version})
-Breaks: postfix (<= 2.8.3-1),
-        slapd (<= 2.4.25-3)
 Replaces: libsasl2
 Description: Cyrus SASL - authentication abstraction library
  This is the Cyrus SASL API implementation, version 2.1.
@@ -88,7 +82,6 @@
  Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.
 
 Package: libsasl2-modules
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -97,9 +90,8 @@
           libsasl2-modules-ldap,
           libsasl2-modules-otp,
           libsasl2-modules-sql
-Breaks: logcheck-database (<= 1.3.16~),
-        libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
-Replaces: libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
+Replaces: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
+Breaks: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
 Description: Cyrus SASL - pluggable authentication modules
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -119,7 +111,6 @@
  This package provides the DB plugin, which supports Berkeley DB lookups.
 
 Package: libsasl2-modules-ldap
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -133,7 +124,6 @@
  This package provides the LDAP plugin, which supports OpenLDAP.
 
 Package: libsasl2-modules-otp
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -146,7 +136,6 @@
  This package provides the OTP plugin, which supports one time passwords.
 
 Package: libsasl2-modules-sql
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -161,7 +150,6 @@
  and SQLite.
 
 Package: libsasl2-modules-gssapi-mit
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -179,9 +167,9 @@
 Package: libsasl2-dev
 Section: libdevel
 Architecture: any
-Priority: optional
-Depends: libc6-dev,
+Depends: libc-dev,
          libsasl2-2 (= ${binary:Version}),
+         libssl-dev,
          ${misc:Depends}
 Description: Cyrus SASL - development files for authentication abstraction library
  This is the Cyrus SASL API implementation, version 2. See package
@@ -193,7 +181,6 @@
 Package: libsasl2-modules-gssapi-heimdal
 Architecture: any
 Multi-Arch: same
-Priority: optional
 Depends: libsasl2-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
