=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils, krb5-user, krb5-kdc, krb5-admin-server
 Restrictions: isolation-container, needs-root
 
-# libsasl2-modules-gssapi-mit is needed here because SCRAM has not yet been moved to libsasl2-modules in Jammy (LP: #1988730)
 Tests: shared-secret-mechs
-Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils, libsasl2-modules-gssapi-mit
+Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils
 Restrictions: isolation-container, needs-root
